> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/enums/guibuttonstate.md).

# GuiButtonState

## Overview

GuiButtonState is an Enum that defines the current visual state of a GUI button. It distinguishes between the button's default state, hover (mouse over), and pressed state to provide various visual feedback.

## Items

| Name    | Value | Description                                                                                                     |
| ------- | ----- | --------------------------------------------------------------------------------------------------------------- |
| Default | 0     | The default state of the button. The normal state when the mouse is not hovering and the button is not pressed. |
| Hover   | 1     | The hover state when the mouse cursor is over the button.                                                       |
| Press   | 2     | The state when the button is pressed.                                                                           |
| Max     | 3     | An internal value representing the maximum number of states.                                                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/guibuttonstate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
